-- A2E4822A98337283E39F7B60ACF85EC9

update USL U
set U.OBYAZ = 0,
    U.DATE_2 = '30.06.2014'
where (U.ID in (2995, 2998, 2846, 2847, 2848, 3009, 3010, 3011, 3012, 3013, 3014, 3015, 3016));
@

delete from TARIF;
@	
	
COMMIT WORK;
@

ALTER TABLE TARIF
    ADD ID INTEGER NOT NULL;
@    

alter table TARIF
alter ID position 1;
@

alter table TARIF
alter TD position 2;
@

alter table TARIF
alter STAGE position 3;
@

alter table TARIF
alter W position 4;
@

alter table TARIF
alter AGE_FROM position 5;
@

alter table TARIF
alter AGE_TO position 6;
@

alter table TARIF
alter DATE_1 position 7;
@

alter table TARIF
alter DATE_2 position 8;
@

alter table TARIF
alter SUMV position 9;
@

COMMIT WORK;
@

INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5281, '4', '1', '1', 1, NULL, '1', '0421001', '   ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5282, '4', '1', '1', 84, NULL, '1', '0421001', '   ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5283, '4', '1', '1', 168, NULL, '1', '0421001', '   ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5284, '5', '1', '1', 2, NULL, '1', '0421001', '   ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5285, '5', '1', '1', 3, NULL, '1', '0421001', '   ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         

INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5286, '5', '1', '1', 2, NULL, '1', '0421002', '   (, )', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5287, '5', '1', '1', 3, NULL, '1', '0421002', '   (, )', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5289, '5', '1', '2', 2, NULL, '1', '0420001', '    ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5290, '5', '1', '2', 3, NULL, '1', '0420001', '    ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5291, '5', '1', '2', 2, NULL, '1', '0420002', '  ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         
INSERT INTO USL (ID, TD, STAGE, W, AGE, FIRST_SL, OBYAZ, USL_CODE, USL_NAME, NPP, SUMV_USL, IS_DOP_TARIF, YET_COUNT, DATE_1, DATE_2, IS_FYS)
         VALUES (5292, '5', '1', '2', 3, NULL, '1', '0420002', '  ', NULL, NULL, '0', NULL, '2014-07-01', NULL, NULL);
@         


COMMIT WORK;
@

update KARTA K
set K.DATE_ENTER = K.DATE_2;
@

CREATE OR ALTER procedure BUILD_REPORT (
    D1 date not null,
    D2 date not null,
    TI1 varchar(1),
    TI2 varchar(1))
returns (
    CSMO char(5),
    KOL integer)
as
begin
  for select K.SMO, count(*)
      from KARTA K
      inner join SMO S on S.SMOCOD = K.SMO
      where (not K.DATE_1 is null) and
            (not K.DATE_2 is null) and
            (K.DATE_ENTER >= :D1) and
            (K.DATE_ENTER <= :D2) and
            (not K.MD5_HASH is null) and
            (S.TF = '37000') and
            (K.TD >= :TI1) and
            (K.TD <= :TI2)
      group by K.SMO
      having count(*) > 0
      order by K.SMO
      into :CSMO, :KOL
  do
    suspend;   

  for select count(*)
      from KARTA K
      inner join SMO S on S.SMOCOD = K.SMO
      where (not K.DATE_1 is null) and
            (not K.DATE_2 is null) and
            (K.DATE_ENTER >= :D1) and
            (K.DATE_ENTER <= :D2) and
            (not K.MD5_HASH is null) and
            (S.TF <> '37000') and
            (K.TD >= :TI1) and
            (K.TD <= :TI2) having count(*) > 0
      into :KOL
  do
  begin
    CSMO = '45000';   
    suspend;    
  end
end;
@

INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (1, '0', '1', '1', 21, 99, '2013-01-01', '2013-05-31', 646.97);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (2, '0', '1', '2', 21, 99, '2013-01-01', '2013-05-31', 911.03);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (3, '0', '1', '1', 21, 21, '2013-06-01', NULL, 695.75);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (4, '0', '1', '2', 21, 21, '2013-06-01', NULL, 869.39);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (5, '0', '1', '1', 24, 24, '2013-06-01', NULL, 583.49);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (6, '0', '1', '2', 24, 24, '2013-06-01', NULL, 757.13);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (7, '0', '1', '1', 27, 27, '2013-06-01', NULL, 583.49);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (8, '0', '1', '2', 27, 27, '2013-06-01', NULL, 757.13);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (9, '0', '1', '1', 30, 30, '2013-06-01', NULL, 583.49);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (10, '0', '1', '2', 30, 30, '2013-06-01', NULL, 757.13);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (11, '0', '1', '1', 33, 33, '2013-06-01', NULL, 583.49);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (12, '0', '1', '2', 33, 33, '2013-06-01', NULL, 757.13);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (13, '0', '1', '1', 36, 36, '2013-06-01', NULL, 695.75);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (14, '0', '1', '2', 36, 36, '2013-06-01', NULL, 757.13);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (15, '0', '1', '1', 39, 39, '2013-06-01', NULL, 831.32);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (16, '0', '1', '2', 39, 39, '2013-06-01', NULL, 1306.44);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (17, '0', '1', '1', 42, 42, '2013-06-01', NULL, 748.4);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (18, '0', '1', '2', 42, 42, '2013-06-01', NULL, 1223.52);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (19, '0', '1', '1', 45, 45, '2013-06-01', NULL, 1498.26);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (20, '0', '1', '2', 45, 45, '2013-06-01', NULL, 2085.65);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (21, '0', '1', '1', 48, 48, '2013-06-01', NULL, 758.99);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (22, '0', '1', '2', 48, 48, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (23, '0', '1', '1', 51, 51, '2013-06-01', NULL, 1781.84);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (24, '0', '1', '2', 51, 51, '2013-06-01', NULL, 2244.84);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (25, '0', '1', '1', 54, 54, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (26, '0', '1', '2', 54, 54, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (27, '0', '1', '1', 57, 57, '2013-06-01', NULL, 1781.84);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (28, '0', '1', '2', 57, 57, '2013-06-01', NULL, 2244.84);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (29, '0', '1', '1', 60, 60, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (30, '0', '1', '2', 60, 60, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (31, '0', '1', '1', 63, 63, '2013-06-01', NULL, 1781.84);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (32, '0', '1', '2', 63, 63, '2013-06-01', NULL, 2244.84);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (33, '0', '1', '1', 66, 66, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (34, '0', '1', '2', 66, 66, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (35, '0', '1', '1', 69, 69, '2013-06-01', NULL, 1781.84);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (36, '0', '1', '2', 69, 69, '2013-06-01', NULL, 2244.84);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (37, '0', '1', '1', 72, 72, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (38, '0', '1', '2', 72, 72, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (39, '0', '1', '1', 75, 75, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (40, '0', '1', '2', 75, 75, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (41, '0', '1', '1', 78, 78, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (42, '0', '1', '2', 78, 78, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (43, '0', '1', '1', 81, 81, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (44, '0', '1', '2', 81, 81, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (45, '0', '1', '1', 84, 84, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (46, '0', '1', '2', 84, 84, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (47, '0', '1', '1', 87, 87, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (48, '0', '1', '2', 87, 87, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (49, '0', '1', '1', 90, 90, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (50, '0', '1', '2', 90, 90, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (51, '0', '1', '1', 93, 93, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (52, '0', '1', '2', 93, 93, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (53, '0', '1', '1', 96, 96, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (54, '0', '1', '2', 96, 96, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (55, '0', '1', '1', 99, 99, '2013-06-01', NULL, 883.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (56, '0', '1', '2', 99, 99, '2013-06-01', NULL, 1346.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (57, '1', '1', '1', 0, 4, '2013-01-01', '2014-05-31', 2313);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (58, '1', '1', '2', 0, 4, '2013-01-01', '2014-05-31', 2313);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (59, '1', '1', '1', 5, 17, '2013-01-01', '2014-05-31', 2900);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (60, '1', '1', '2', 5, 17, '2013-01-01', '2014-05-31', 2900);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (61, '2', '1', '1', 0, 4, '2013-01-01', '2014-05-31', 2313);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (62, '2', '1', '2', 0, 4, '2013-01-01', '2014-05-31', 2313);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (63, '2', '1', '1', 5, 17, '2013-01-01', '2014-05-31', 2900);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (64, '2', '1', '2', 5, 17, '2013-01-01', '2014-05-31', 2900);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (65, '7', '1', '0', 0, 17, '2014-01-01', NULL, 694.95);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (66, '7', '1', '0', 18, 120, '2014-01-01', NULL, 639.52);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (67, '7', '2', '0', 0, 17, '2014-01-01', NULL, 499.96);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (68, '7', '2', '0', 18, 120, '2014-01-01', NULL, 444.53);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (70, '1', '1', '1', 0, 2, '2014-06-01', NULL, 2800.97);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (71, '1', '1', '2', 0, 2, '2014-06-01', NULL, 2809.89);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (72, '1', '1', '1', 3, 4, '2014-06-01', NULL, 2745.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (73, '1', '1', '2', 3, 4, '2014-06-01', NULL, 2754.29);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (74, '1', '1', '1', 5, 6, '2014-06-01', NULL, 3194.93);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (75, '1', '1', '2', 5, 6, '2014-06-01', NULL, 3203.85);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (76, '1', '1', '1', 7, 14, '2014-06-01', NULL, 3463.7);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (77, '1', '1', '2', 7, 14, '2014-06-01', NULL, 3415.78);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (78, '1', '1', '1', 15, 17, '2014-06-01', NULL, 3463.7);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (79, '1', '1', '2', 15, 17, '2014-06-01', NULL, 3415.78);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (80, '2', '1', '1', 0, 2, '2014-06-01', NULL, 2800.97);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (81, '2', '1', '2', 0, 2, '2014-06-01', NULL, 2809.89);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (82, '2', '1', '1', 3, 4, '2014-06-01', NULL, 2745.37);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (83, '2', '1', '2', 3, 4, '2014-06-01', NULL, 2754.29);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (84, '2', '1', '1', 5, 6, '2014-06-01', NULL, 3194.93);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (85, '2', '1', '2', 5, 6, '2014-06-01', NULL, 3203.85);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (86, '2', '1', '1', 7, 14, '2014-06-01', NULL, 3463.7);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (87, '2', '1', '2', 7, 14, '2014-06-01', NULL, 3415.78);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (88, '2', '1', '1', 15, 17, '2014-06-01', NULL, 3463.7);
@           
INSERT INTO TARIF (ID, TD, STAGE, W, AGE_FROM, AGE_TO, DATE_1, DATE_2, SUMV)
           VALUES (89, '2', '1', '2', 15, 17, '2014-06-01', NULL, 3415.78);
@           

COMMIT WORK;
@




