-- A2E4822A98337283E39F7B60ACF85EC9

CREATE TABLE REPORT (
    ID_REP       INTEGER NOT NULL,
    MO           CHAR(6),
    DATE_1       DATE,
    DATE_2       DATE,
    SEE          CHAR(1),
    SUMMAV       NUM15,
    DOP_SUMMAV   NUM15,
    DATE_CREATE  DATE,
    TIME_CREATE  TIME
);
@

ALTER TABLE REPORT ADD CONSTRAINT PK_REPORT PRIMARY KEY (ID_REP);
@

CREATE SEQUENCE NEW_ID_REPORT;
@

ALTER SEQUENCE NEW_ID_REPORT RESTART WITH 0;
@

ALTER TABLE KARTA
    ADD IDK INTEGER;
@    

ALTER TABLE KARTA
    ADD ID_REP INTEGER;
        @

ALTER TABLE KARTA_USL
    ADD IDK INTEGER;
     @

ALTER TABLE SMO
    ADD TF_OKATO  VARCHAR(5);
          @


CREATE OR ALTER procedure DELETE_REPORT (
    ID_REPORT integer)
as
begin
  update KARTA K
  set K.ID_REP = null
  where (K.ID_REP = :ID_REPORT);

  delete from REPORT R
  where R.ID_REP = :ID_REPORT;
end;
@


CREATE OR ALTER trigger karta_bi0 for karta
active before insert position 0
AS
begin
  new.idk=new.id;
end;
@

CREATE OR ALTER trigger karta_usl_bi0 for karta_usl
active before insert position 0
as
begin
  new.IDK = new.ID_KARTA; 
end;
@

CREATE OR ALTER trigger karta_bu0 for karta
active before update position 0
AS
begin
  if (new.coment_ident='') then new.coment_ident=null;
  if (new.md5_hash='') then new.md5_hash=null; 

  new.idk=new.id; 
end;
@

COMMIT WORK;
@

update karta_usl k
set k.idk=k.id_karta;
@

update karta k
set k.idk=k.id;
@

update smo s
set s.tf_okato=s.tf;
@
COMMIT WORK;
@

CREATE INDEX KARTA_IDX1
ON KARTA (IDK);
@

CREATE INDEX KARTA_IDX2
ON KARTA (ID_REP);
@

CREATE INDEX KARTA_USL_IDX3 
ON KARTA_USL (IDK);
@

COMMIT WORK;
@