-- ud_084_20141209.sql
-- ud_086_20150205.sql
-- 94803251B9B16A6AAFD0C8AC9DDCA62E

CREATE TABLE PLANING (
    TD          INTEGER,
    GOD         INTEGER,
    AGE         INTEGER,
    W           INTEGER,
    ALL_PEOPLE  INTEGER,
    IN_PLAN     INTEGER
); @

CREATE INDEX PLANING_IDX_MAIN ON PLANING (GOD, AGE, W, TD);@

alter table P_USL alter CODE_OMS type varchar (16); @

DROP TRIGGER KARTA_BI0; @
DROP TRIGGER KARTA_BU0; @

ALTER TABLE MO DROP "PLAN"; @

update KARTA K
set K.MD5_HASH = null
where K.MD5_HASH = ''; @

COMMIT WORK; @

CREATE trigger karta_biu0 for karta
active before insert or update position 0
AS
begin
  if (new.coment_ident='') then new.coment_ident=null;
  if (new.md5_hash='') then new.md5_hash=null;

  if (new.id_operator is null) then new.id_operator=0;
end; @

DELETE FROM P_USL; @

INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (1, 1, '0', '  ', '0301602', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (2, 2, '0', '  ', '0301606', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (3, 3, '0', '  ', '0919003', '4'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (4, 4, '0', '    ', '0905023', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (5, 5, '0', '    ', '0905136', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (6, 6, '0', '   ', '0414000', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (7, 6, '0', '   ', '0431003', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (8, 6, '0', '   ', '03052001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (9, 7, '0', ' ', '0410002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (10, 7, '0', ' ', '0412013', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (11, 8, '0', '  ', '0422001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (12, 9, '0', '   ', '0420001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (13, 9, '0', '   ', '0421003', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (14, 10, '0', '  ', '0404001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (15, 11, '0', '', '0423001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (16, 12, '0', '', '0609007', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (17, 13, '0', '', '0510001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (18, 14, '0', '    , ,  ,   ', '0', '4'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (19, 15, '0', ' ', '0', '4'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (20, 16, '0', '    ', '0919003', '5'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (21, 17, '0', '       ', '', '6'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (22, 18, '0', ' ', '0428001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (23, 18, '0', ' ', '03052001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (24, 19, '0', ' ', '0414000', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (25, 19, '0', ' ', '03052001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (26, 1, '1', '', '0403102', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (27, 2, '1', '', '0402302', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (28, 3, '1', '', '0402902', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (29, 4, '1', ' ', '0401002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (30, 5, '1', '', '0402802', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (31, 6, '1', '-', '0405002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (32, 7, '1', '', '0403502', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (33, 8, '1', ' ', '0406402', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (34, 9, '1', ' ', '0101101', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (35, 10, '1', ' -', '0405302', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (36, 11, '1', '-', '0400102', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (37, 15, '0', ' ', '1', '4'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (38, 15, '0', ' ', '3', '4'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (39, 1, '0', '  ', 'B03.016.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (40, 2, '0', '  ', 'B03.016.006', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (41, 3, '0', '  ', 'A09.19.002', '4'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (42, 4, '0', '    ', 'A09.05.023', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (43, 5, '0', '    ', 'A09.05.131', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (44, 6, '0', '   ', 'A04.16.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (45, 6, '0', '   ', 'A04.30.003', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (46, 6, '0', '   ', 'A04.16.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (47, 7, '0', ' ', 'A04.10.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (48, 7, '0', ' ', 'A04.12.013', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (49, 8, '0', '  ', 'A04.22.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (50, 9, '0', '   ', 'A04.20.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (51, 9, '0', '   ', 'A04.21.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (52, 10, '0', '  ', 'A04.04.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (53, 11, '0', '', 'A04.23.001.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (54, 12, '0', '', 'A06.09.006', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (55, 13, '0', '', 'A05.10.006', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (56, 16, '0', '    ', 'A09.19.002', '5'); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (57, 18, '0', ' ', 'A04.28.002.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (58, 18, '0', ' ', 'A04.16.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (59, 19, '0', ' ', 'A04.16.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (60, 19, '0', ' ', 'A04.16.001', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (61, 1, '1', '', 'B04.031.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (62, 2, '1', '', 'B04.023.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (63, 3, '1', '', 'B04.029.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (64, 4, '1', ' ', 'B04.010.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (65, 5, '1', '', 'B04.028.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (66, 6, '1', '-', 'B04.050.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (67, 7, '1', '', 'B04.035.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (68, 8, '1', ' ', 'B04.064.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (69, 9, '1', ' ', 'B01.058.003', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (70, 10, '1', ' -', 'B04.053.002', NULL); @
INSERT INTO P_USL (ID, ID_PORTAL, TYPE_USL, NAME_PORTAL, CODE_OMS, TD)
           VALUES (71, 11, '1', '-', 'B04.001.002', NULL); @

COMMIT WORK; @

CREATE OR ALTER procedure UPDATE_2015
as
declare variable IDK integer;
begin
  for select K.IDK
      from KARTA K
      where K.DATE_1 >= '01.01.2015'
      into :IDK
  do
  begin
    update P_KARTA_USL P
    set P.ID_P_USL = (select TC.ID_NEW_FIELD
                      from TMP_COMPARE TC
                      where ((TC.ID_OLD_FIELD = P.ID_P_USL) and
                            (TC.TIP = 1)))
    where P.IDK = :IDK;

  end
end; @

COMMIT WORK; @

insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 1, 39); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 2, 40); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 3, 41); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 4, 42); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 5, 43); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 6, 44); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 7, 45); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 8, 46); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 9, 47); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 10, 48); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 11, 49); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 12, 50); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 13, 51); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 14, 52); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 15, 53); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 16, 54); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 17, 55); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 20, 56); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 22, 57); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 23, 58); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 24, 59); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 25, 60); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 26, 61); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 27, 62); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 28, 63); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 29, 64); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 30, 65); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 31, 66); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 32, 67); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 33, 68); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 34, 69); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 35, 70); @
insert into TMP_COMPARE (TIP, ID_OLD_FIELD, ID_NEW_FIELD)
values (1, 36, 71); @

execute procedure update_2015; @ 

COMMIT WORK; @ 

DROP PROCEDURE UPDATE_2015; @ 